# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.media
Class MediaSource.Output

    java.lang.Object
      com.google.gdata.data.media.MediaSource.Output

Enclosing interface:
  MediaSource

    public static class MediaSource.Output

extends java.lang.Object

The Output class provides helper methods for MediaSource handling.

Constructor Summary
`MediaSource.Output()`

Method Summary
`static void` `writeTo(MediaSource source, java.io.OutputStream outputStream)` Helper method that writes the contents of a media source to an output stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MediaSource.Output

    public MediaSource.Output()

Method Detail

### writeTo

    public static void writeTo(MediaSource source,
                               java.io.OutputStream outputStream)
                        throws java.io.IOException

  Helper method that writes the contents of a media source to an output stream.

  Parameters:
    `source` - the source media stream containing the media data.
    `outputStream` - the target output stream.
  Throws:
    `java.io.IOException` - on any error writing the data to the stream.